Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1359672 - incorrect brick port range in OSE Gluster cluster setup
Summary: incorrect brick port range in OSE Gluster cluster setup
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: Documentation
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS Container Converged 1.0
Assignee: Divya
QA Contact: storage-qa-internal@redhat.com
URL:
Whiteboard:
Depends On:
Blocks: 1332130
TreeView+ depends on / blocked
 
Reported: 2016-07-25 09:35 UTC by Atin Mukherjee
Modified: 2016-10-14 13:49 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-14 13:49:03 UTC


Attachments (Terms of Use)

Description Atin Mukherjee 2016-07-25 09:35:54 UTC
Document URL: 

http://jenkinscat.gsslab.pnq.redhat.com:8080/job/doc-Red_Hat_Gluster_Storage-3.1-Deployment_Guide_for_Containerized_Red_Hat_Gluster_Storage%20%28html-single%29/lastStableBuild/artifact/tmp/en-US/html-single/index.html#idm140237992454416


Section Number and Name: 
4.1

Describe the issue: 
In Setting up RH OSE cluster, port range for gluster brick process is mentioned as 49152-49251 which is just 100.

-A OS_FIREWALL_ALLOW -p tcp -m state --state NEW -m multiport --dports 49152:49251 -j ACCEPT

Suggestions for improvement: 

With heketi creating the volume topology at worst scenario it can create a 32 X 3 volume which means if we have to support up to 100 volumes we'd need 32 X 100 = 3200 ports to be opened up for bricks.
So the range would be ideally 49152:52351 (49152 + 3199)

Additional information:

Comment 4 Atin Mukherjee 2016-07-26 09:09:24 UTC
Per my discussion with Humble, he will update the BZ

Comment 5 Divya 2016-07-26 09:14:26 UTC
Raising need info for Humble to update the BZ.

Comment 6 Humble Chirammal 2016-07-26 17:36:25 UTC
please refer https://bugzilla.redhat.com/show_bug.cgi?id=1356058#c23 . We have corrected this in our today's meeting.

Comment 9 Bhaskarakiran 2016-07-27 09:24:46 UTC
Marking this as verified.


Note You need to log in before you can comment on or make changes to this bug.